Litchi 4.10.0 vs 4.17.0. Any differences?

Joined
Jun 4, 2018
Messages
28
Reaction score
0
Age
53
Hi folks,
Any idea what the differences are between these two versions of litchi? Both seem to work with P3SE (so so) but anyone has any idea if there are changes in functionality?
Cheers!
 
Joined
Jun 4, 2018
Messages
28
Reaction score
0
Age
53
By the way, whay is that some versions of Litchi work with P3SE and some other don't?
Any idea?
Maybe the WIFI channels?
 
Joined
Jan 23, 2016
Messages
229
Reaction score
62
Age
61
All versions of Litchi should work with the Phantom 3 series, provided your smart device can run (handle) them.

Missions generated in the mission-Hub dot NOT work with version 4.10.0, you need version 4.15.0 or higher.
Issue:
Upload failed: The waypoint has an invalid shoot photo distance and photo time interval combination (code:-5128)
or
Upload failed: Waypoint shoot photo distance provided is invalid.
 
Joined
Dec 4, 2018
Messages
134
Reaction score
32
Age
56
Good information because I just purchased Litchi 4.19.0_BETA-g for my Phantom 3SE, Phantom 4 Pro V2.0, and Mavic Air. I will test my Phantom 3SE with it. The Phantom 4 Pro V2.0 works great with it and Mavic Air.
 
Joined
Dec 4, 2018
Messages
134
Reaction score
32
Age
56
Not able to read the voltage of battery for my Phantom 3 SE and remote controller.
 
Joined
Jan 23, 2016
Messages
229
Reaction score
62
Age
61
Perhaps the DJI SDK for the P3se doesn't support it.
Like the SDK for the Mavic Mini doesn't support waypoints.
or a mismatch between the SDK and the AC/RC firmware.
Litchi always uses the latest SDK for each supported drone, when DJI makes changes to a specific firmware they sometimes have to implement this in the SDK as well, like added features. Sometimes a bug elswere occurs in the SDK or firmware, which then gets resolved in another SDK or firmware update,
 
Last edited:

New Threads

Forum statistics

Threads
140,499
Messages
1,448,231
Members
102,289
Latest member
DanTucker